// WaveRecorder.h

#ifndef WAVERECORDER_H
#define WAVERECORDER_H

#include "Wave.h"

namespace DDJCColumnWave	{

class WaveRecorder : public Wave
{
	HWAVEIN wavedevice;
	bool stopping;
	static void CALLBACK waveInProc(HWAVEOUT hwo,UINT uMsg,         
					DWORD dwInstance,DWORD dwParam1,DWORD dwParam2);
	void ShutDown();
	virtual void StoreData(char* buf, int len) = 0;
	void SaveBuffer(PWAVEHDR hdr);
public:
	WaveRecorder(int b, int rate, int nc);
	~WaveRecorder();
	void Record();
};

} // namespace DDJCColumnWave

#endif // WAVERECORDER_H
