// listener.h : main header file for the LISTENER application
//

#if !defined(AFX_LISTENER_H__95175F55_26C5_4525_AC9B_D91916912282__INCLUDED_)
#define AFX_LISTENER_H__95175F55_26C5_4525_AC9B_D91916912282__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "TranscriptView.h"
#include "EditorView.h"
#include "resource.h"       // main symbols

extern "C" {
    #include "bob.h"
}

int EvalString(BobInterpreter *i,char *str,int len);

/////////////////////////////////////////////////////////////////////////////
// CListenerApp:
// See listener.cpp for the implementation of this class
//

class CListenerApp : public CWinApp
{
public:
	CListenerApp();

    CTranscriptView *m_transcriptView;
    CEditorView *m_editorView;
    BobInterpreter *m_interpreter;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CListenerApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation
	//{{AFX_MSG(CListenerApp)
	afx_msg void OnAppAbout();
	afx_msg void OnFileLoadObject();
	afx_msg void OnFileLoadSource();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LISTENER_H__95175F55_26C5_4525_AC9B_D91916912282__INCLUDED_)
