@REM You must set your environment by running the setEnv shell script 
@REM prior to executing this script.

@REM Create the build directory, and copy the deployment descriptors into it
mkdir build build\META-INF
copy *.xml build\META-INF

@REM Compile EJB classes into the build directory (jar preparation)
javac -d build  MessagePipeBean.java

@REM Make a EJB jar file, including XML deployment descriptors
cd build
jar cv0f std_ejb20_message.jar META-INF example
cd ..

@REM Run EJBc on jar file
java weblogic.ejbc -compiler javac build\std_ejb20_message.jar %APPLICATIONS%\messagepipebean.jar

@REM Compile EJB interfaces & client app into the clientclasses directory
javac -d %CLIENT_CLASSES%  Client.java

