#if !defined(AFX_TRANSCRIPTVIEW_H__2BF978E3_619C_43C4_919E_828366288D18__INCLUDED_)
#define AFX_TRANSCRIPTVIEW_H__2BF978E3_619C_43C4_919E_828366288D18__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TranscriptView.h : header file
//
#include <afxrich.h>

/* terminal output buffer */
#define OUTBUFSIZE	1024

/////////////////////////////////////////////////////////////////////////////
// CTranscriptView view

class CTranscriptView : public CRichEditView
{
protected:
	CTranscriptView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CTranscriptView)

// Attributes
public:

protected:
    char m_outBuf[OUTBUFSIZE + 1];
    char *m_outPtr;

// Operations
public:

    int PutC(int ch);
    void FlushOutput(void);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTranscriptView)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnInitialUpdate();     // first time after construct
	//}}AFX_VIRTUAL

    // Implementation
protected:
	virtual ~CTranscriptView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

    void GuaranteeSpace(void);

    // Generated message map functions
	//{{AFX_MSG(CTranscriptView)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRANSCRIPTVIEW_H__2BF978E3_619C_43C4_919E_828366288D18__INCLUDED_)
